From db7007a25faefb0cc90e64dda1c0793393b9512d Mon Sep 17 00:00:00 2001
From: Antonio Rojas <arojas@archlinux.org>
Date: Tue, 26 May 2020 20:10:48 +0200
Subject: [PATCH] Update fontconfig database for Qt 5.15

---
 src/calibre/headless/fontconfig_database.cpp | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/src/calibre/headless/fontconfig_database.cpp b/src/calibre/headless/fontconfig_database.cpp
index d867f02948d..96a6365ba22 100644
--- a/src/calibre/headless/fontconfig_database.cpp
+++ b/src/calibre/headless/fontconfig_database.cpp
@@ -295,7 +295,26 @@ static const char specialLanguages[][6] = {
     "", // MasaramGondi
     "", // Nushu
     "", // Soyombo
+#if (QT_VERSION >= QT_VERSION_CHECK(5, 15, 0))
+    "", // ZanabazarSquare
+    "", // Dogra
+    "", // GunjalaGondi
+    "", // HanifiRohingya
+    "", // Makasar
+    "", // Medefaidrin
+    "", // OldSogdian
+    "", // Sogdian
+    "", // Elymaic
+    "", // Nandinagari
+    "", // NyiakengPuachueHmong
+    "", // Wancho
+    "", // Chorasmian
+    "", // DivesAkuru
+    "", // KhitanSmallScript
+    "" // Yezidi
+#else
     "" // ZanabazarSquare
+#endif // Qt >= 5.15
 #else
     ""  // SignWriting
 #endif // Qt >= 5.11
